[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.ReadSingle

Read a single-precision floating point value from the stream

## Declaration

Source position: streamex.pp line 196

`function TStreamHelper.ReadSingle: Single;`

## Function result

The single-precision floating point type.

## Description

ReadSingle reads a single-precision floating point value from the stream and returns the value. No endianness corrections are performed.

## Errors

If the end of stream is reached before all necessary bytes can be read, an EReadError exception is raised.

## See also

TStreamHelper.ReadDouble |  | Read a double-precision floating point value from the stream
TStreamHelper.WriteSingle |  | Write a single-precision floating point value to the stream